org.wso2.carbon.dataservices.ui.stub

## Interface DataServiceAdmin

- All Known Implementing Classes:
    DataServiceAdminStub

      public interface DataServiceAdmin

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getAllRoles(String authProviderConfig49)` Auto generated method signature
    `String[]` | `getAvailableDS()` Auto generated method signature
    `String[]` | `getCarbonDataSourceNames()` Auto generated method signature
    `String[]` | `getCarbonDataSourceNamesForTypes(String[] types120)` Auto generated method signature
    `String` | `getCarbonDataSourceType(String dsName76)` Auto generated method signature
    `String` | `getDataServiceContentAsString(String serviceId53)` Auto generated method signature
    `String[]` | `getdbSchemaList(String datasourceId57)` Auto generated method signature
    `String` | `getDSService(String dataSourceId106, String dbName107, String[] schemas108, String[] tableNames109, boolean singleService110, String serviceName111, String serviceNamespace112)` Auto generated method signature
    `String[]` | `getDSServiceList(String dataSourceId93, String dbName94, String[] schemas95, String[] tableNames96, boolean singleService97, String serviceNamespace98)` Auto generated method signature
    `String[]` | `getInputMappingNames(String sql65)` Auto generated method signature
    `String[]` | `getOutputColumnNames(String sql102)` Auto generated method signature
    `PaginatedTableInfo` | `getPaginatedSchemaInfo(int pageNumber80, String datasourceId81)` Auto generated method signature
    `PaginatedTableInfo` | `getPaginatedTableInfo(int pageNumber69, String datasourceId70, String dbName71, String[] schemas72)` Auto generated method signature
    `String[]` | `getTableList(String datasourceId127, String dbName128, String[] schemas129)` Auto generated method signature
    `boolean` | `isDSNameAvailable(String dataService34)` Auto generated method signature
    `void` | `saveDataService(String serviceName116, String serviceHierarchy117, String serviceContents118)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAllRoles(String authProviderConfig49, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAvailableDS(DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCarbonDataSourceNames(DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCarbonDataSourceNamesForTypes(String[] types120, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCarbonDataSourceType(String dsName76, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetDataServiceContentAsString(String serviceId53, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetdbSchemaList(String datasourceId57, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetDSService(String dataSourceId106, String dbName107, String[] schemas108, String[] tableNames109, boolean singleService110, String serviceName111, String serviceNamespace112, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetDSServiceList(String dataSourceId93, String dbName94, String[] schemas95, String[] tableNames96, boolean singleService97, String serviceNamespace98, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetInputMappingNames(String sql65, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetOutputColumnNames(String sql102, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetPaginatedSchemaInfo(int pageNumber80, String datasourceId81, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetPaginatedTableInfo(int pageNumber69, String datasourceId70, String dbName71, String[] schemas72, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetTableList(String datasourceId127, String dbName128, String[] schemas129, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startisDSNameAvailable(String dataService34, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `starttestGSpreadConnection(String clientId41, String clientSecret42, String refreshToken43, String visibility44, String documentURL45, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `starttestJDBCConnection(String driverClass85, String jdbcURL86, String username87, String password88, String passwordAlias89, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startvalidateJSONMapping(String jsonMapping61, DataServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `String` | `testGSpreadConnection(String clientId41, String clientSecret42, String refreshToken43, String visibility44, String documentURL45)` Auto generated method signature
    `String` | `testJDBCConnection(String driverClass85, String jdbcURL86, String username87, String password88, String passwordAlias89)` Auto generated method signature
    `String` | `validateJSONMapping(String jsonMapping61)` Auto generated method signature

- - ### Method Detail

    - #### isDSNameAvailable

          boolean isDSNameAvailable(String dataService34)
                             throws RemoteException

      Auto generated method signature
      Parameters:
        `isDSNameAvailable33` -
      Throws:
        `RemoteException`

    - #### startisDSNameAvailable

          void startisDSNameAvailable(String dataService34,
                                      DataServiceAdminCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `isDSNameAvailable33` -
      Throws:
        `RemoteException`

    - #### getAvailableDS

          String[] getAvailableDS()
                           throws RemoteException

      Auto generated method signature
      Parameters:
        `getAvailableDS37` -
      Throws:
        `RemoteException`

    - #### startgetAvailableDS

          void startgetAvailableDS(DataServiceAdminCallbackHandler callback)
                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAvailableDS37` -
      Throws:
        `RemoteException`

    - #### testGSpreadConnection

          String testGSpreadConnection(String clientId41,
                                       String clientSecret42,
                                       String refreshToken43,
                                       String visibility44,
                                       String documentURL45)
                                throws RemoteException

      Auto generated method signature
      Parameters:
        `testGSpreadConnection40` -
      Throws:
        `RemoteException`

    - #### starttestGSpreadConnection

          void starttestGSpreadConnection(String clientId41,
                                          String clientSecret42,
                                          String refreshToken43,
                                          String visibility44,
                                          String documentURL45,
                                          DataServiceAdminCallbackHandler callback)
                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `testGSpreadConnection40` -
      Throws:
        `RemoteException`

    - #### getAllRoles

          String[] getAllRoles(String authProviderConfig49)
                        throws RemoteException

      Auto generated method signature
      Parameters:
        `getAllRoles48` -
      Throws:
        `RemoteException`

    - #### startgetAllRoles

          void startgetAllRoles(String authProviderConfig49,
                                DataServiceAdminCallbackHandler callback)
                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAllRoles48` -
      Throws:
        `RemoteException`

    - #### getDataServiceContentAsString

          String getDataServiceContentAsString(String serviceId53)
                                        throws RemoteException

      Auto generated method signature
      Parameters:
        `getDataServiceContentAsString52` -
      Throws:
        `RemoteException`

    - #### startgetDataServiceContentAsString

          void startgetDataServiceContentAsString(String serviceId53,
                                                  DataServiceAdminCallbackHandler callback)
                                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getDataServiceContentAsString52` -
      Throws:
        `RemoteException`

    - #### getdbSchemaList

          String[] getdbSchemaList(String datasourceId57)
                            throws RemoteException,
                                   DataServiceAdminExceptionException

      Auto generated method signature
      Parameters:
        `getdbSchemaList56` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`

    - #### startgetdbSchemaList

          void startgetdbSchemaList(String datasourceId57,
                                    DataServiceAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getdbSchemaList56` -
      Throws:
        `RemoteException`

    - #### validateJSONMapping

          String validateJSONMapping(String jsonMapping61)
                              throws RemoteException

      Auto generated method signature
      Parameters:
        `validateJSONMapping60` -
      Throws:
        `RemoteException`

    - #### startvalidateJSONMapping

          void startvalidateJSONMapping(String jsonMapping61,
                                        DataServiceAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `validateJSONMapping60` -
      Throws:
        `RemoteException`

    - #### getInputMappingNames

          String[] getInputMappingNames(String sql65)
                                 throws RemoteException,
                                        DataServiceAdminExceptionException

      Auto generated method signature
      Parameters:
        `getInputMappingNames64` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`

    - #### startgetInputMappingNames

          void startgetInputMappingNames(String sql65,
                                         DataServiceAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getInputMappingNames64` -
      Throws:
        `RemoteException`

    - #### getPaginatedTableInfo

          PaginatedTableInfo getPaginatedTableInfo(int pageNumber69,
                                                   String datasourceId70,
                                                   String dbName71,
                                                   String[] schemas72)
                                            throws RemoteException,
                                                   DataServiceAdminExceptionException

      Auto generated method signature
      Parameters:
        `getPaginatedTableInfo68` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`

    - #### startgetPaginatedTableInfo

          void startgetPaginatedTableInfo(int pageNumber69,
                                          String datasourceId70,
                                          String dbName71,
                                          String[] schemas72,
                                          DataServiceAdminCallbackHandler callback)
                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getPaginatedTableInfo68` -
      Throws:
        `RemoteException`

    - #### getCarbonDataSourceType

          String getCarbonDataSourceType(String dsName76)
                                  throws RemoteException

      Auto generated method signature
      Parameters:
        `getCarbonDataSourceType75` -
      Throws:
        `RemoteException`

    - #### startgetCarbonDataSourceType

          void startgetCarbonDataSourceType(String dsName76,
                                            DataServiceAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getCarbonDataSourceType75` -
      Throws:
        `RemoteException`

    - #### getPaginatedSchemaInfo

          PaginatedTableInfo getPaginatedSchemaInfo(int pageNumber80,
                                                    String datasourceId81)
                                             throws RemoteException,
                                                    DataServiceAdminExceptionException

      Auto generated method signature
      Parameters:
        `getPaginatedSchemaInfo79` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`

    - #### startgetPaginatedSchemaInfo

          void startgetPaginatedSchemaInfo(int pageNumber80,
                                           String datasourceId81,
                                           DataServiceAdminCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getPaginatedSchemaInfo79` -
      Throws:
        `RemoteException`

    - #### testJDBCConnection

          String testJDBCConnection(String driverClass85,
                                    String jdbcURL86,
                                    String username87,
                                    String password88,
                                    String passwordAlias89)
                             throws RemoteException

      Auto generated method signature
      Parameters:
        `testJDBCConnection84` -
      Throws:
        `RemoteException`

    - #### starttestJDBCConnection

          void starttestJDBCConnection(String driverClass85,
                                       String jdbcURL86,
                                       String username87,
                                       String password88,
                                       String passwordAlias89,
                                       DataServiceAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `testJDBCConnection84` -
      Throws:
        `RemoteException`

    - #### getDSServiceList

          String[] getDSServiceList(String dataSourceId93,
                                    String dbName94,
                                    String[] schemas95,
                                    String[] tableNames96,
                                    boolean singleService97,
                                    String serviceNamespace98)
                             throws RemoteException,
                                    DataServiceAdminExceptionException

      Auto generated method signature
      Parameters:
        `getDSServiceList92` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`

    - #### startgetDSServiceList

          void startgetDSServiceList(String dataSourceId93,
                                     String dbName94,
                                     String[] schemas95,
                                     String[] tableNames96,
                                     boolean singleService97,
                                     String serviceNamespace98,
                                     DataServiceAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getDSServiceList92` -
      Throws:
        `RemoteException`

    - #### getOutputColumnNames

          String[] getOutputColumnNames(String sql102)
                                 throws RemoteException,
                                        DataServiceAdminExceptionException

      Auto generated method signature
      Parameters:
        `getOutputColumnNames101` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`

    - #### startgetOutputColumnNames

          void startgetOutputColumnNames(String sql102,
                                         DataServiceAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getOutputColumnNames101` -
      Throws:
        `RemoteException`

    - #### getDSService

          String getDSService(String dataSourceId106,
                              String dbName107,
                              String[] schemas108,
                              String[] tableNames109,
                              boolean singleService110,
                              String serviceName111,
                              String serviceNamespace112)
                       throws RemoteException,
                              DataServiceAdminExceptionException

      Auto generated method signature
      Parameters:
        `getDSService105` -
      Throws:
        `DataServiceAdminExceptionException` - :
        `RemoteException`

    - #### startgetDSService

          void startgetDSService(String dataSourceId106,
                                 String dbName107,
                                 String[] schemas108,
                                 String[] tableNames109,
                                 boolean singleService110,
                                 String serviceName111,
                                 String serviceNamespace112,
                                 DataServiceAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getDSService105` -
      Throws:
        `RemoteException`

    - #### saveDataService

          void saveDataService(String serviceName116,
                               String serviceHierarchy117,
                               String serviceContents118)
                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `RemoteException`

    - #### getCarbonDataSourceNamesForTypes

          String[] getCarbonDataSourceNamesForTypes(String[] types120)
                                             throws RemoteException

      Auto generated method signature
      Parameters:
        `getCarbonDataSourceNamesForTypes119` -
      Throws:
        `RemoteException`

    - #### startgetCarbonDataSourceNamesForTypes

          void startgetCarbonDataSourceNamesForTypes(String[] types120,
                                                     DataServiceAdminCallbackHandler callback)
                                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getCarbonDataSourceNamesForTypes119` -
      Throws:
        `RemoteException`

    - #### getCarbonDataSourceNames

          String[] getCarbonDataSourceNames()
                                     throws RemoteException

      Auto generated method signature
      Parameters:
        `getCarbonDataSourceNames123` -
      Throws:
        `RemoteException`

    - #### startgetCarbonDataSourceNames

          void startgetCarbonDataSourceNames(DataServiceAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getCarbonDataSourceNames123` -
      Throws:
        `RemoteException`

    - #### getTableList

          String[] getTableList(String datasourceId127,
                                String dbName128,
                                String[] schemas129)
                         throws RemoteException

      Auto generated method signature
      Parameters:
        `getTableList126` -
      Throws:
        `RemoteException`

    - #### startgetTableList

          void startgetTableList(String datasourceId127,
                                 String dbName128,
                                 String[] schemas129,
                                 DataServiceAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getTableList126` -
      Throws:
        `RemoteException`

Copyright © 2019 WSO2. All rights reserved.